Forgot your password?
typodupeerror
Firefox

+ - The enterprise is wrong, not Mozilla->

Submitted by
Kethinov
Kethinov writes "Ars Technica has an insightful editorial criticizing enterprise IT backlash against Mozilla's new update policy. From the article: 'Now that Mozilla has released Firefox 5, version 4, just three months old, is no longer supported. Enterprise customers aren't very pleased with this decision, and are claiming it makes their testing burden impossible. We're not convinced: we think Mozilla's decision is the right one for the Web itself.'"
Link to Original Source
This discussion was created for logged-in users only, but now has been archived. No new comments can be posted.

The enterprise is wrong, not Mozilla

Comments Filter:

One picture is worth 128K words.

Working...